Name:           python-parse
Version:        1.20.2
Release:        1
Summary:        Python Parse Module
License:        MIT
URL:            https://github.com/r1chardj0n3s/parse
Source0:        %{pypi_source parse}
BuildArch:      noarch
BuildRequires:  python3-pytest

%description
A python module which parses specific strings adopted the format() syntax.

%package -n python3-parse
Summary:        Python3 Parse Module
%{?python_provide:%python_provide python3-parse}
BuildRequires:  python3-devel
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
%description -n python3-parse

Parse Module for Python3.

%prep
%autosetup -n parse-%{version} -p1

%build
%pyproject_build

%install
%pyproject_install

%check
cp parse.py ./tests
%{__python3} ./tests/test_parse.py

%files -n python3-parse
%doc README.rst
%{python3_sitelib}/*

%changelog
* Mon Aug 12 2024 Ge Wang <wang__ge@126.com> - 1.20.2-1
- Upgrade to version 1.20.2

* Fri Jul 07 2023 niuyaru <niuyaru@kylinos.cn> - 1.19.1-1
- Upgrade to version 1.19.1

* Tue May 10 2022 yangping <yangping69@h-partners> - 1.19.0-2
- License compliance rectification

* Tue Jan 18 2022 SimpleUpdate Robot <tc@openeuler.org> - 1.19.0-1
- Upgrade to version 1.19.0

* Mon Sep 27 2021 lingsheng <lingsheng@huawei.com> - 1.8.4-4
- Provides python-parse for compatibility

* Wed Oct 21 2020 wangxiao <wangxiao65@huawei.com> - 1.8.4-3
- drop python2 subpackage 

* Fri Dec 13 2019 Shuaishuai Song <songshuaishuai2@huawei.com> - 1.8.4-2
- package init
